﻿/*---------------------------------------------------------------------*/
/* AUTEUR      : Chanh T.Do [ www.thoransoft.com ]                     */
/* DATE        : 2011.10.04                                            */
/* DESCRIPTION : Feuille de style par défaut. [Default theme]          */
/*---------------------------------------------------------------------*/

body {margin:0px;
	    padding:0px;
	    font:10pt/13pt "Lucida Sans Unicode"; 
	    font-weight:lighter;
	    color:#333;}

A {font:normal 1em "Lucida Sans Unicode"; letter-spacing:0px; /*text-transform:lowercase; */}
A:link {text-decoration:none; color:#006699; }
A:visited {text-decoration:none; color:#006699;}
A:active {text-decoration:none; color:#006699;}
A:hover { text-decoration:none; color:#006699; background-color:White;}

.linkButtonContainer {font:normal 1em "Lucida Sans Unicode"; letter-spacing:0px; /*text-transform:lowercase; */}
.linkButtonContainer A:link {text-decoration:underline; color:#006699; }
.linkButtonContainer A:visited {text-decoration:underline;color:#006699;}
.linkButtonContainer A:active {text-decoration:underline; color:#006699;}
.linkButtonContainer A:hover {text-decoration:underline;  color:#006699; background-color:White;}  

.disabledLinkButtonContainer {font:normal 1em "Lucida Sans Unicode"; letter-spacing:0px; /*text-transform:lowercase; */}
.disabledLinkButtonContainer A:link {text-decoration:underline; color:#006699; pointer-events: none; opacity:0.4; cursor: default;}
.disabledLinkButtonContainer A:visited {text-decoration:underline;color:#006699; pointer-events: none; opacity:0.4; cursor: default;}
.disabledLinkButtonContainer A:active {text-decoration:underline; color:#006699; pointer-events: none; opacity:0.4; cursor: default;}
.disabledLinkButtonContainer A:hover {text-decoration:underline;  color:#006699; background-color:White; pointer-events: none; opacity:0.4; cursor: default;}

.opacity {opacity:0.50; -moz-opacity:0.50;  -ms-filter:alpha(opacity=50); filter:alpha(opacity=50);}
.shadow {-webkit-box-shadow: 0px 5px 28px rgba(0, 0, 0, 0.65);
         -moz-box-shadow: 0px 5px 28px rgba(0, 0, 0, 0.65);
         box-shadow: 0px 5px 28px rgba(0, 0, 0, 0.65);}

/*ce css devrait être placé après la class .shadow*/
.reverseShadow {-webkit-box-shadow: 0px 0px 10px #333; -moz-box-shadow: 0px 0px 10px #333; box-shadow: 0px 0px 10px #333;}     

/*ce css devrait être placé après le A:hover */
.highlightYellow {background-color:White;}

sup {display:none;}

.content {width:1100px;
	      height:auto;
	      margin:150px auto 60px auto; 
	      padding:0px;
	      position:relative;}

.content h3 {font:lighter 20pt/25pt "Lucida Sans Unicode";
             margin:0px 0px 5px 0px; }

.content select {font:10pt/13pt "Courier New";
                 width:250px;
                 vertical-align:middle;
                 padding:5px;
                 margin:0px;
                 color:#333;
                 border:1px solid #aaa;}

.transparentPreviewDIV { 
	width:100%;
	height:100%; 
	position:fixed;
	z-index:9002;
	top:0px;
	background-color: white; 	
	filter: alpha(opacity=1); 
	opacity: .01;
	margin-top:100px;
	}

/* NORMAL class */
input[type=text].normal {padding:8px 5px; border:1px solid #aaa;  font:10pt/13pt "Courier New"; color:#333;}
input[type=text]:focus.normal {box-shadow:inset 0 0 2px gray; -moz-box-shadow:inset 0 0 2px gray;}
input[type=password].normal {padding:8px 5px; border:1px solid #aaa;  font:10pt/13pt "Courier New"; color:#333;}
input[type=password]:focus.normal {box-shadow:inset 0 0 2px gray; -moz-box-shadow:inset 0 0 2px gray;}

label.normal {cursor:pointer;}

input.textEdit {padding:8px 5px; border:1px solid #aaa; font:13px "Courier New"; color:#333; }
input:focus.textEdit {box-shadow:inset 0 0 2px gray; -moz-box-shadow:inset 0 0 2px gray;}

textarea.textEdit {border:1px solid #aaa; font:10pt/13pt "Courier New"; color:#333; } 
textarea:focus.textEdit {box-shadow:inset 0 0 2px gray; -moz-box-shadow:inset 0 0 2px gray;}

select.textEdit {height:30px; border:1px solid #aaa; font:10pt/13pt "Courier New"; color:#333; }

input[type=button].normal {cursor:pointer; padding:15px 10px;}

/*Retour du highlight on hover pour 3.2*/
.colorme tr:hover td {/*background-color:#EBF5FF;*/ background-image:url("../images/blueBG_15pc.png") !important;}
.colorme2 div:hover {background-color:#EBF5FF;}
.colorme3 div:hover {background-color:#EBF5FF; color:Black; }


.OptionTable {}
.OptionTable td {padding:5px 50px 5px 0px;}

/************************************************************************************************************************************************************************************************/
/* Grille, Menu search et filter */
.gridpaging {position:relative; width:100%; margin:0px 0px 0px 0px; height:30px; padding-top:4px; padding-bottom:4px; color:#333; }
.gridpaging .searchInput {color:#aaa; float:left; width:200px; padding:8px; padding-left:27px;  font:10pt/13pt "Courier New"; border:1px solid #888;}
.gridpaging .searchInput.withImg { background-image:url("../images/loupe.jpg"); background-position:5px center; background-repeat:no-repeat;}
.gridpaging .searchInput:focus {box-shadow:inset 0 0 2px gray; -moz-box-shadow:inset 0 0 2px gray;}
.gridpaging .loupe {position:absolute; left:5px; top:10px; }
.gridpaging .searchBtn {float:left; font-size:8pt; color:#333; padding:2px; margin:4px 15px 0px 0px; }
.gridpaging .divFilter {width:80px; cursor:pointer;}
.addItem {position:absolute; top:10px; right:3px;}
.addItem A {font:normal 1em "Segoe UI"; letter-spacing:0px; /*text-transform:lowercase;*/ }
.addItem A:link {text-decoration:none; color:#003399; }
.addItem A:visited {text-decoration:none; color:#003399;}
.addItem A:active {text-decoration:none; color:#003399;}
.addItem A:hover { text-decoration:none; color:#003399; background-color:White;}

.gridpaging A:link {text-decoration:none; color:#006699; }
.gridpaging A:visited {text-decoration:none; color:#006699;}
.gridpaging A:active {text-decoration:none; color:#006699;}
.gridpaging A:hover {text-decoration:none; color:#333; background-color:White;}

.gridpaging .ddlFilter {float:left; padding:2px; margin:3px 5px 0px 0px; font:8pt "Lucida Sans Unicode"; }
.gridpaging .inputDte {float:left; margin:3px 2px 0px 0px; width:80px; font:8pt "Lucida Sans Unicode"; cursor:default; }
.gridpaging .imgCal {float:left; margin:5px 5px 0px 0px;}
.gridpaging .startBtn {position:absolute; right:33px; bottom:8px; width:auto; height:26px; cursor:pointer; font:8pt "Lucida Sans Unicode",Arial, sans-serif; padding:2px 4px 4px 4px; }
.gridpaging .printBtn {position:absolute; right:10px; bottom:10px; border:1px solid #333; cursor:pointer; }

.expand2 {font:normal 9pt/13pt Arial; letter-spacing:1px;}
/* Fin Grille, Menu search et filter */

/* Sous Grille */
.tbListMenu {}
.showItemLabel {float:right; font:9pt/12pt Arial; margin:8px 6px 0px 0px;}
.gPaging {float:right; font:bold 9pt/11pt Arial, margin:3px 4px 0px 0px;}
.gPaging input[type=button]{font:8pt Arial; cursor:pointer; height:22px; margin-left:-3px; width:24px; padding-left:4px; padding-right:4px; }
.gPaging input[type=text] {font:6pt "Lucida Sans Unicode"; padding:2px; height:14px;}

.gridview {width:auto; margin:0px 0px 15px 0px; overflow-x:none; height:auto; }

.gList {margin-top:5px; /*border-top:2px solid #819AC0;*/ width:100%; /*border-bottom-style:none;*/ border-spacing: 0; border-collapse: collapse;}
.gFooter {background-color:#ecf2f5;}
.gSelected {padding-left:2px; padding-right:2px; border:1px solid #333;}
.gItemOrder {color:yellow; }

.gHeader {background-color:#819AC0; color:#fff; font:11pt/14pt "Lucida Sans Unicode"; text-align:center; padding:0px 0px 0px auto; margin:0px;}
.gHeader th {text-align:center; width:70px; height:30px; border:1px solid #777; font-weight:normal; padding:0px; margin:0px; }
.gHeader span {font:normal 9pt/11pt Calibri; padding:0px; cursor:default;padding: 0px 0px 0px 0px;margin:0px 0px 0px 0px;}
.gHeader A {font:11pt/14pt "Lucida Sans Unicode"; font-weight:normal; padding:2px 5px 2px 5px;margin:0px 0px 0px 0px;}
.gHeader A:link {text-decoration:none; color:#fff;}
.gHeader A:visited {text-decoration:none; color:#000;}
.gHeader A:active {text-decoration:none; color:#000;}
.gHeader A:hover {text-decoration:none; color:#000; /*background-color:yellow;*/}
.gHeader table {text-align: center;margin-left:auto; margin-right:auto;}

.gData {font:ligther 11pt "Segoe UI";}
.gData:hover {background-color:#f7f7f7; cursor:default;}
.gData td {border:1px solid #888; height:30px; background-color:#fff; padding: 0px 0px 0px 5px; margin:0px 0px 0px auto;}
.gData td A {margin-right:4px; padding: 1px 3px; margin:0px 0px 0px auto; font-size:9pt;}
.gData td A:link {text-decoration:underline; color:#006699; }
.gData td A:visited {text-decoration:underline; color:#006699;}
.gData td A:active {text-decoration:underline; color:#006699;}
.gData td A:hover {text-decoration:underline; color:#333; background-color:white;}
/* Fin Gridview */

/* Sous grille */
.gListSub {margin-top:5px; border:2px solid #aaa; width:100%; }
.gDataSub {font:9pt/11pt Arial; background-color:#fff;}
.gDataSub td { background-color: White; }
.gDataSub  h1, .gDataSub p {margin:15px 15px 0px 8px;}
.gDataSub  h1 > span {font-size:0.9em; font-weight:normal;}
/* Fin Sous Grille */

/* Filters Container */
.filtersContainer {width:100%; height:0px; padding:0px; background-color:#f5f5f5; overflow:hidden; }
.filtersTable {margin:10px 0px 5px 15px;}
.filtersContainer input[type=checkbox], .filtersContainer label {cursor:pointer;}
/* Fin Filters Container */
/**********************************************************************************************************/


#addEditBlockDiv, #addEditBlockDiv2  {display:none;}



/************************/
/*   ADD EDIT FILTERS   */
/************************/

/* filter categorie, sub-categorie etc. */
.cat_panel {
    margin: 0px 5px 5px 5px;
    width: 320px;
    height: 205px;
    border: 1px solid #aaaaaa;
    background-color: white;
    overflow-y: auto;
    overflow-x: hidden;
    position: relative;
    float: left;
    resize: both;
}

.cat_panel div {width:100%;}
.cat_panel div p {cursor:pointer; padding-right:15px; margin:0px; width: 100%;}
.cat_panel table {width: 100%;}
.cat_panel table td {border:1px solid #aaa; padding:3px;}
.cat_panel table tr td div select {width: 230px;}
.cat_panel table tr td div input[type=text] {width: 214px;}
.cat_panel table tr td select {width: 214px;}
.cat_panel table tr td input[type=text] {width: 214px;}

    .cmd_panel {
        margin: 20px 5px 5px 5px;
        margin: 20px 5px 5px 11px;
        width: 57px;
        height: 200px;
        background-color: Transparent;
        position: relative;
        float: left;
        text-align: center;
    }

.cmd_panel > input[type=button] {width:80px; font-size:9pt; color:#333;padding:10px 15px;}
.cmd_panel input[type=button] {width:80px; font-size:9pt; color:#333; margin:-6px;padding:10px 15px;}

.opr_panel {
    position: absolute;
    width: 390px;
    height: 30px;
    top: 85px;
    right: 70px;
    text-align: right;    
}
            
.opr_panel input[type=button] {padding:10px 15px;}

.flt_panel {
    margin: 0px 0px 5px 25px;
    width: 335px;
    height: 205px;
    border: 1px solid #aaa;
    /*background-color:#fdfdfd;*/
    background-color: white;
    position: relative;
    float: left;
    overflow-y: auto;
    overflow-x: hidden;
    resize: both;
}

.flt_panel div {width:100%; }
.flt_panel div p {cursor:pointer; padding-right:15px; margin:0px; color:#333;}
.flt_panel table {width: 100%;}
.flt_panel table td {border:1px solid #aaa; padding:3px;}   



/***********************************/
/*   CHOOSE PLATFORM AND MODULES   */
/***********************************/
.bpiAddBlock {margin:10px 0px 0px 0px; }
.bpiAddBlock .bouton {height:45px; font:ligther 12pt "Segoe UI"; cursor:pointer; margin-top:40px;}
.bpiAddBlockText {float:right; width:450px; margin:10px; }
.bpiAddBlock img {cursor:pointer; margin:10px 10px 0px 0px; border:1px solid transparent;}
/*.bpiAddBlock img:hover {border:1px solid #333;}*/
.bpiAddBlockBorderDefault { border:1px solid transparent; }
/***********************************/



/**********************************/
/*   BLOCK NAVIG - NavigCONTENT   */
/**********************************/
.blockNavig {position:fixed; width:260px; /*border:solid 1px red;*/}
.blockNavig A {font-size:12pt;}
.blockNavig A:link {text-decoration:none; color:#006699; }
.blockNavig A:visited {text-decoration:none; color:#006699;}
.blockNavig A:active {text-decoration:none; color:#006699;}
.blockNavig A:hover {text-decoration:none; color:#333; background-color:White;}
.blockNavig input {padding:15px 10px; width:75px; font:ligther 14pt "Segoe UI"; cursor:pointer; margin:10px 1px}
.mandatoryField {font-size:normal 1.1em Arial; color:red; cursor:default; }

.blockNavigContent {width:800px; margin-left:275px; font-size:10pt; /*border:solid 1px yellow;*/}
.blockNavigContent textarea {font-size:10pt; resize:none;  }
/*****************************/


.ddlSelect {font:1em 'Segoe UI'; height:30px; width:100px; vertical-align:middle; padding:3px; margin:0px; border:1px solid #888;}
.rblSelect input, .rblSelect label {margin-right:5px; cursor:pointer;}

.unlicensedBlockMessage { color:Red; }



/*****************************/
/*   BLOCK EDITOR  by Simon  */
/*****************************/

.editableDiv {position:absolute;}
.editableDiv input[type=text] {width:inherit; height:20px; font:10pt/13pt "Courier New"; }
.editableDiv textarea {width:inherit; font:10pt/13pt "Courier New"; }

.editableInput{border:2px solid orange;
               background-color:white;
               padding:1px;
               color:#444;}
.editableInput:focus {box-shadow:inset 0 0 3px orange; -moz-box-shadow:inset 0 0 3px orange;}

.editableTextarea {border:2px solid orange;
                   background-color:white;
                   resize:none;
                   height:55px;
                   padding:1px;
                   color:#444;
                   margin:0px;}
.editableTextarea:focus {box-shadow:inset 0 0 3px orange; -moz-box-shadow:inset 0 0 3px orange;}

.fullSizeLabel {width:740px;}

.longDashedInput {border:2px dashed #ddd;
                  width:700px;
                  padding:3px;}

/* Fake Window Image */
.sketchWindowImg {background-image:url(../images/bpi31/emptywindow.png);
                  position:relative; width:804px; height:181px;} /* <- dimension de l'image */
.fakeWindowTitle {font:normal 10pt "Comic sans ms"; position:absolute; top:8px; left:20px;}
.sketchWindowShadow {position:absolute; height:176px; width:800px; top:3px; left:0px;
                     -webkit-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                     -moz-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                     box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);}
.sketchLongWindowImg {background-image:url(../images/bpi31/longemptywindow.png);
                      position:relative; width:804px; height:241px;} /* <- dimension de l'image */
.sketchLongWindowShadow {position:absolute; height:236px; width:800px; top:3px; left:0px;
                         -webkit-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                         -moz-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                         box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);}

/* Fake Table */
.fakeGrid {overflow-y:auto;
           overflow-x:hidden;
           height:80px;
           width:920px;
           border-collapse:collapse;
           margin-bottom:15px;}
.fakeGrid th {border:1px solid #aaa;
              text-align:left;
              background-color: #819ac0;
              color: White;
              padding-left:8px;
              height:25px; }
.fakeGrid td {height:25px;
              border: 1px solid #aaa;
              padding-left:8px;
              color:Gray; 
              background-color:White;}
              

/*** Notification Messages ***/
.notificationTitleDiv  {top:45px; left:20px;}
.notificationDescDiv   {top:90px; left:20px;}


/*** LAUNCHER ***/

    /* Block Tags */
    .fakeLauncherImg    {background-image:url(../images/bpi31/launcher_en.png);
                         position:relative; width:807px; height:290px;} /* <- dimension de l'image */
    .fakeLauncherShadow {position:absolute; height:283px; width:800px; top:3px; left:0px;
                         -webkit-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                         -moz-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                         box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);}

    #errLauncherTitle       {top:45px; left:20px;}
    #errLauncherDescription {top:125px; left:40px; width:705px;}

/* Abdelatif 2013-01-31  */ 
.highlightSelectionBlocks {background-color: #82A9ED; color: White;}

.launcherBlockListDiv { padding: 5px 5px 5px 5px; }  
.launcherBlockListDiv:hover { background-color:#EBF5FF; color:Black; }  

.highlightSelectionBlocks:hover {background-color: #82A9ED; color: White;}
    
/***  TASK, REPORT, and ENHANCED COURSES  ***/

    /* Block Tags */
    .fakeTaskBlockImg   {background-image:url(../images/bpi31/taskview_en.png); /* <- image édité par le javascript de blockedit.aspx */
                         position:relative; width:803px; height:458px;} /* <- dimension de l'image */

    .fakeReportBlockImg {background-image:url(../images/bpi31/reportview_en.png); 
                         position:relative; width:803px; height:458px;} /* <- dimension de l'image */
                         
    .fakeTaskBlockShadow {position:absolute; width:800px; height:453px; top:3px; left:0px;
                          -webkit-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                          -moz-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                          box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);}
    
    #errBlockTitle          {top:42px; left:23px;}
    #errBlockDesc           {top:123px; left:32px;}
    #errBlockSearchDesc     {top:229px; left:49px; width:198px;}
    #errBlockSearchBtn      {top:229px; left:263px; width:130px;}
    #ddlListTagNbItemsTotal {top:229px; left:454px; width:134px;}
    #errBlockHyperlink      {top:305px; left:362px; width:119px;}
    #errBlockDefault        {top:347px; left:23px; height:55px;}
    
    #errBlockPaging         {top:229px; left:598px;}
    #trBlockTaskLink        {top:305px; left:571px;}
    #trBlockDisplayAllMessages  {top:415px; left:23px;}
    
    /*  -Enhanced Courses-  DELETED ! Mwahaha!!!
    .fakeEnhancedCourseImg  {background-image:url(../images/bpi31/enhancedCourse_en.png);
                             position:relative; width:803px; height:458px;}
    */
    
/*** SUBJECT MANAGEMENT ***/

    .fakeSubjectBlockImg   {background-image:url(../images/bpi31/subjectview_en.png);
                            position:relative; width:811px; height:460px;} /* <- dimension de l'image */
    .fakeSubjectBlockShadow {position:absolute; height:452px; width:800px; top:5px; left:4px;
                             -webkit-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                             -moz-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                             box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);}
    
    #errSVTitle             {top:45px; left:27px; }
    #errSVDesc              {top:126px; left:36px; width:720px}
    #errSVSearchWatermark   {top:232px; left:53px; height:19px; width:198px;}
    #errSVSearchBtn         {top:232px; left:266px; height:19px; width:132px;}
    #errSVItemsTotal        {top:232px; left:458px; height:19px; width:132px;}
    #errSVDefault           {top:375px; left:27px; }
    
    .fakeStepDefinitionImg  {background-image:url(../images/bpi31/stepdefinition_en.png);
                             position:relative; width:804px; height:265px;} /* <- dimension de l'image */
    .fakeStepDefinitionShadow {position:absolute; height:259px; width:800px; top:3px; left:0px;
                               -webkit-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                               -moz-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                               box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);}

    #divReturnToSvd     {top:45px; left:600px;}
    #divDashboardTitle  {top:147px; left:48px;}
    #divTextContent     {top:178px; left:28px;}
    .svStepTitleDiv     {top:45px; left:20px;}
    .svStepDescDiv      {top:90px; left:20px; height:55px;}
    .svStepDefaultDiv   {top:173px; left:20px;}
    

/*** FEEDBACK ***/

    .fakeFeedbackBlockImg   {background-image:url(../images/bpi31/fbview_en.png);
                             position:relative; width:803px; height:641px;} /* <- dimension de l'image */
    .fakeFeedbackBlockShadow {position:absolute; height:635px; width:800px; top:3px; left:0px;
                              -webkit-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                              -moz-box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);
                              box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.65);}

    #errFBHeader        {top:55px; left:28px;}
    #errFBTitle         {top:115px; left:28px;}
    #errFBDesc          {top:192px; left:38px;}
    #errFBSubjectSelector   {top:280px; left:28px;}
    #errFBShowMore          {top:280px; left:192px;}
    #errFBShowResult        {top:280px; left:356px;}
    #errFBSearchBy      {top:355px; left:200px; width:130px;}
    #errFBSearchBtn     {top:355px; left:621px; width:130px;}
    #errFBItemsTotal    {top:355px; left:38px;}
    #errFBShowing       {top:485px; left:213px;}
    #errFBDefault       {top:490px; left:28px;}
    #errFBFooter        {top:577px; left:28px;}
     
     
    #tdLockedSize           {width:150px;}
    #TagFBSubjectSelector   {width:150px;}
    #TagFBShowMore          {width:150px;}
    #TagFBShowResult        {width:150px;}
    #tableFBViewEdit    {width:920px;
                         margin-top:5px;
                         margin-bottom:35px;
                         border:solid 1px gray;
                         background-color:#eee;}
    .insideTbMargin {width:920px;
                     margin:10px 0px;}
    .fakeDropDown   {border:solid 1px gray;
                     width:150px;
                     padding:3px;
                     background-color: White;
                     background-image:url(../images/green_down_arrow.gif);
                     background-position:140px 5px;
                     background-repeat:no-repeat;}
    .fakeSearchBar  {width:150px;
                     border:solid 1px gray;
                     padding:3px;
                     background-color: White;}
    #TagLauncherLaunchButton {color:Blue;}



/**********************************/
/*   Datasource EDITOR  by Simon  */
/**********************************/

#DataSelectorTb    {margin:20px;}
.DataSelectorTbImg {width:100px;
                    height :100px;
                    text-align:center;
                    vertical-align:middle;
                    border:solid 2px #ddd;
                    background-color:White;
                    cursor:pointer}
.DataSelectorTbImg:hover {border-color:#00b8f5;}
.DataSelectorTbText {width:300px;
                     text-align:left;
                     padding:5px;
                     padding-left:40px;
                     border-style:none;
                     background-color:Transparent;}



/**********************************/
/*   FeedBack Edit                */
/**********************************/

.fbOptionTable {}
.fbOptionTable td {padding:8px 50px 8px 0px;}
.fbOptionTable td.sousCat {padding:0px 50px 8px 0px;}

/* Datasource */
.datasourceDataSelector {height: 110px; width: 80%; font-style: italic; padding: 0px; margin: 0px 30px 10px 83px; border: 1px dashed #333; text-align: center; cursor: pointer; }
.datasourceDataSelector .hiddenDiv {padding: 5px;float:right; display: none; visibility:hidden; height: 100px; background-color: #0099CC;  color: White; width: 300px;}
.datasourceColTable { border: 1px solid #333; margin-top: 10px; }
.datasourceColTable TD { border: 1px solid #333; padding: 3px; }


/* FeedBack DataSource Columns Table */
.divSelectionScrollable {width:710px; height:290px; overflow:scroll; overflow-x:visible; -ms-overflow-x:hidden;}
.fondBlanc {width: 692px; border:none; height: auto; background-color:white;}
.tdSelectionTable {cursor:default;}
.whiteSquare {width:693px; height:290px; position:absolute; background-color:White; z-index:-1;}
.chkBoxDiv {width:20px; border:1px solid black; }
.chkBoxDiv.disabled {background-color:#eee; color:Gray;}

input.UpDownBtn {font-weight:bold; font-size:38px; height:50px; width:25px; margin:0px 0px 0px 0px; padding:0px 0px 0px 0px; border-width:1px; color:#99D6FF; text-indent:-2px;}
input.FirstLastBtn {font-weight:bold; font-size:20px; height:30px; width:25px; margin:0px 0px 0px 0px; padding:0px 0px 0px 0px; border-width:1px; color:#99D6FF; text-indent:0px;}

.arrowsBtn { cursor:pointer; }
/*.highlightSelectionDataSource td {background-color: #82A9ED; color: White;}*/
.highlightSelectionDataSource td {background-image:url("../images/yellowBG_30pc.png") !important;}
.greyDisabled { background-color: #EDEDED; }   
.chkAllDataSource { margin: 2px 3px 3px 1px; }
.chkAllDataSource input { width: 24px;}
.nopointer {cursor:auto;}

/* New fbview datasource & layout settings*/
.ds_contentTable {width:100%; background-color:Transparent; border-collapse:collapse;}
.ds_contentTable td {padding:5px 3px; border:solid 1px #999;}
.ds_contentTable td.chkBoxDiv {width:30px; cursor:pointer;}
.ds_contentTable td.chkBoxDiv div {width:100%; text-align:center;}
.ds_contentTable td.chkBoxDiv input {display:none;}
.ds_contentTable td.colName {}
.ds_contentTable td.colors {width:60px;}
.ds_contentTable td.colors img {margin-left:8px; margin-right: 2px;}
.ds_contentTable td.colors div {display:inline-block; margin:0px 4px; border:solid 1px black; width:20px; height:20px; cursor:pointer;}
.ds_contentTable td.icons {text-align:right; width:105px;}
.ds_contentTable td.icons img {margin-left:10px; cursor:pointer;}
.ds_contentTable td.icons img.icon {margin-left:5px; cursor:auto; border:solid 1px transparent; width:20px; height:20px;}
.ds_contentTable td.progressBar {text-align:right; width:135px;}
.ds_contentTable td.progressBar .prgBar {width:100px; height:16px; border:solid 1px Black; display:inline-block;}
.ds_contentTable td.progressBar .prgBarInside {width:60px; height:inherit;}
.ds_contentTable td.progressBar img {margin-left:10px; cursor:pointer;}

.ds_contentTable td.details {text-align:left; width:105px;} 

.ds_contentTable td.formatSet {width:90px; text-align:right;}
.ds_contentTable td.formatSet img {margin-left:10px; cursor:pointer;}
.ds_contentTable td.formatSet p {width:50px; overflow:hidden; display:inline-block; margin:3px 0px 0px 5px; float:left;}

/*CQ 3.4.0.1003: settings pour la page block edit*/
.ds_contentTable td.isDisabled { background-color: #EEEEEE; } 


/* The Window Container */
.window_fixed {margin-bottom:60px; position:relative; width:750px; overflow:hidden;}
.window_movingDiv {/*position:absolute;*/ position:relative; top:0px; left:0px; width:2250px; /*height:365px;*/}
.moveableContainer {display:block; float:left; width:750px; /*height:365px;*/ min-height:350px; vertical-align:top;}
.moveableContainer .settingTitle {font-weight:bold; padding-top:15px; border-top:solid 1px gray; margin-bottom:20px;}
.moveableContainer .settingTitle span {color:Gray;}
.moveableContainer .bottomControls {position:relative; bottom:0px; text-align:right; padding:5px 10px; width:730px; margin-top:20px; border-bottom:solid 1px gray;}

/* Icon Settings */
.iconSettingsContainer {display:none; margin-top:150px;}
.iconsTable {margin:30px 0px 10px -10px; width:760px;}
.iconsTable select {margin:0px; padding:3px; width:210px; font:10pt/13pt "Courier New";}
.iconsTable input[type=text] {margin:0px; padding:3px; width:90px; font:10pt/13pt "Courier New";}
.iconsTable .iconDiv {display:inline-block; width:30px; height:30px; border:solid 1px transparent; cursor:pointer; background-repeat:no-repeat;}
.iconsTable .iconDiv:hover {border-color:White;}
.iconsTable td.inputsTd {width:250px;}
.iconsTable td.inputsTd span {margin:0px 5px;}
.iconsTable td.removeBtnTd {width:60px; text-align:right;}

#iconsSelectWindow {width:520px; height:270px; overflow:scroll; -ms-overflow-x:hidden; overflow-x:hidden;
                    position:absolute; top:30px; left:110px; background-color:#eee; display:none;
                    -webkit-box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00); -moz-box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00); box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00);}
.conteneurIcones {width:500px;}
.conteneurIcones img {margin:15px; cursor:pointer;}

/* ProgressBar Settings */
.prgBarSettingsContainer {display:none; margin-top:150px;}
.prgBarSettingsContainer input {margin:0px;}
.prgBarSettingsContainer input[type=text] {margin:0px; padding:3px; width:80px; font:10pt/13pt "Courier New";}
.prgBarSettingsContainer input[type=checkbox] {margin-right:10px;}
.prgBarSettingsContainer input[type=radio] {margin-bottom:8px; margin-right:5px;}
.prgBarSettingsContainer label {cursor:pointer;}

.prgBarSettingsContainer table {vertical-align:top; margin-top:10px;}
.prgBarSettingsContainer table td {padding:5px 0px;}
.prgBarSettingsContainer table td.label {width:180px; height:30px;}
.prgBarSettingsContainer table td.control {}

.prgBarSettingsContainer table.iconsTable td {padding:0px;}

.colorDiv {display:table-cell; vertical-align:top;}
.colorPicker {margin-bottom:-5px; width:20px; height:20px; cursor:pointer; border:solid 1px gray; display:inline-block;}
.colorPicker:hover {border-color:Black;}
.templateColor {margin-top:15px;}
.templateColor select {width:200px; margin-left:5px; height:25px; line-height:25px; padding:3px; box-sizing:border-box;}
.templateColor input {width:80px; margin-left:5px; height:25px; line-height:25px; padding:3px; box-sizing:border-box;}
.templateColor a {margin-left:15px;}

/* newCol Settings */
.newColName {float:right; height: 15px;}
.newColName img {cursor:pointer;}
.newColSettingsContainer {display:none; margin-top:150px;}
.newColSettingsContainer input {margin:0px;}
.newColSettingsContainer input[type=text] {margin:0px; padding:3px; width:450px; font:10pt/13pt "Courier New";}
.newColSettingsContainer select {margin:0px; padding:3px; width:422px; font:10pt/13pt "Courier New";}

/* Format */
.formatSettingsContainer { margin-top:150px;}
.formatSettingsContainer table {vertical-align:middle; margin-top:10px;}
.formatSettingsContainer table td.label {width:250px; height:30px;}
.formatSettingsContainer table td.control {}

.formatSettingsContainer td.colors img {}
.formatSettingsContainer td.colors div {display:inline-block; margin:0px 10px 0px 2px; border:solid 1px black; width:20px; height:20px; cursor:pointer;}

.formatSettingsContainer td.align img {margin:0px; padding:3px 5px; margin-right:5px; cursor:pointer;}
.formatSettingsContainer td.align img:hover {background-color:White;}
.formatSettingsContainer td.align img.selected {background-color:#ffff99;}

.formatSettingsContainer td.decimals .relativeDiv {position:relative; height:20px; width:65px;}
.formatSettingsContainer td.decimals input {width:35px; position:absolute; top:-3px; left:2px; padding:1px 4px; text-align:right;}
.formatSettingsContainer td.decimals .relativeDiv div {width:16px; height:20px; position:absolute; top:0px; right:0px;}
.formatSettingsContainer td.decimals img {padding:2px; cursor:pointer;}

#cboxThousandsSeparator {cursor:pointer;}


/* Color Picker */
.colorPickerDiv {position:absolute; top:45px; left:180px; border:solid 15px #eee; background-color:#eee; width:330px; height:245px; z-index:2; display:none;
                 -webkit-box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00); -moz-box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00); box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00);}
.colorPickerDiv button {position:absolute; top:215px; padding:3px 10px;}

/* Error */
.moveableContainer .error {border-color:Red;}

/*************************/
/*   ADD LABELS Window   */
/*************************/
.tagButton {background-image:url(../images/downBtn.png);
            height:20px; width:20px; float:left; margin-left:3px;
            cursor:pointer;}
            
.labelWindow   {display:none;   /*CQ Note: ce css a besoin que le DIV parent soit setter à position:relative.*/
                background-color:#DDD; 
                border:solid 1px #333; 
                padding: 10px 10px 10px 10px; 
                position:absolute; 
                right:0px; 
                top:-76px;
                z-index:2;
                -webkit-box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00);
                -moz-box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00);
                box-shadow: 0px 0px 35px rgba(0, 0, 0, 1.00);}
                
.labelWindow table tbody tr td {border:0px solid black; padding: 0px 0px 0px 0px; background-color:#DDD;}     

.addLabelCloseButton {float:right; width:16px; height:16px; margin-bottom:10px; border:none;
                      background-color:Transparent; background-image:url(../images/xbtn.png);}
.addLabelCloseButton:hover {background-image:url(../images/xbtn_over.png);}

.addLabelAddButton {width:60px; padding:2px; margin-left:5px;}



/************************/
/*   Confirmation Box   */
/************************/
div.confirmationBox {position:fixed; top:50%; left:50%;
                     margin-left:-200px; margin-top:-150px;
                     width:300px; height:auto;
                     padding:50px;
                     text-align:center;
                     border:solid 1px #AAA;
                     background-color:#F7F7F7;
                     z-index:199;}
input[type=button].confirmationBox {padding:15px 10px;
                                    min-width:75px;}

/****************/
/*   SETTINGS   */
/****************/
table.settingsContent   {padding-top:15px;}

.imageOk {margin-bottom:-6px;}

/*Utility CSS */
.noButtonMarginTop input[type=button] { margin-top:0px;} /*CQ: utilisé dans les pages où on a le .blockNavigContent css. Içi, on reset le margin-top à zéro pour les boutons. */

/*** Preview  ***/
.lignepreview {border-bottom:solid 1px #333; margin-bottom:20px; height:0px; width:820px;}

/** Inputs */
input.btn {padding:15px 10px;}

/* Link with text and image (p'tite flèche bleue) */
.linkTextImg {display:inline-block;}
.linkTextImg div {padding-right:5px; display:inline;}
.linkTextImg img {margin-bottom:-4px; border:none;}  

/* manual update */
.updaterSection {float:left; width:800px; display:none;}
.updaterBtn {padding:5px 10px;}


/*****************/
/*    Goodies    */
/*****************/
.blackopacity {background-color:Black;
               opacity: 0.30; -moz-opacity:0.30; -ms-filter: alpha(opacity=30); filter:alpha(opacity=30);}
		  
.fullScreen {position:fixed;
             width:100%;
             height:100%;
             top:0px;
             left:0px;
             display:none;} /* invisible par défaut */

.clickable{cursor:pointer;}



/*CQ v3.1: CSS pour le errorFunc.    NOTE: Ce css devrait être placé vers la fin de ce fichier, le plus possible, parce que ça va overrider le css normal des éléments lors d'une erreur */
.errorFuncMode1 { border: 2px solid red;}
input.errorFuncMode1 { border: 2px solid red;}
select.errorFuncMode1 { border: 2px solid red;}
textarea.errorFuncMode1 { border: 2px solid red;}
input[type=text].errorFuncMode1 { border: 2px solid red;}

/*Pathway blacklist*/
input.ApiUrl {border:1px solid #888; } 
textarea.ApiUrl {border:1px solid #888; } 